%define name	kaconnect
%define version	1.1.1
%define release 1mdk

Name: 	 	%{name}
Summary: 	QT frontend for ALSA sequencer
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.suse.de/~mana/kalsatools.html
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libqt3-devel libalsa-devel

%description
Kaconnect is a QT version of the aconnect utility for the  ALSA  sequencer
system.

%prep
%setup -q
perl -p -i -e "s/gcc/gcc\ $RPM_OPT_FLAGS/g" make_kaconnect

%build
%make -f make_kaconnect
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="kaconnect" longtitle="ALSA connections" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README LICENSE THANKS
%{_bindir}/%name
%{_menudir}/%name

%changelog
* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 1.1.1-1mdk
- initial package
